MagickCore: magick.c File Reference

# magick.c File Reference

`#include "magick/studio.h"`
`#include "magick/blob.h"`
`#include "magick/cache.h"`
`#include "magick/coder.h"`
`#include "magick/client.h"`
`#include "magick/configure.h"`
`#include "magick/constitute.h"`
`#include "magick/delegate.h"`
`#include "magick/draw.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/locale_.h"`
`#include "magick/log.h"`
`#include "magick/magic.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/mime.h"`
`#include "magick/module.h"`
`#include "magick/random_.h"`
`#include "magick/registry.h"`
`#include "magick/resource_.h"`
`#include "magick/semaphore.h"`
`#include "magick/signature.h"`
`#include "magick/splay-tree.h"`
`#include "magick/string_.h"`
`#include "magick/token.h"`
`#include "magick/utility.h"`
`#include "magick/xwindow-private.h"`

## Defines
#define | SIG_DFL ((SignalHandler *) 0)
#define | SIG_ERR ((SignalHandler *) -1)
#define | SIGMAX 64
## Typedefs
typedef MAGICKCORE_RETSIGTYPE | SignalHandler (int)
## Functions
static MagickBooleanType | InitializeMagickList (ExceptionInfo *)
MagickExport void | DestroyMagickList (void)
MagickExport DecodeImageHandler * | GetImageDecoder (const MagickInfo *magick_info)
MagickExport EncodeImageHandler * | GetImageEncoder (const MagickInfo *magick_info)
MagickExport const char * | GetImageMagick (const unsigned char *magick, const size_t length)
MagickExport MagickBooleanType | GetMagickAdjoin (const MagickInfo *magick_info)
MagickExport MagickBooleanType | GetMagickBlobSupport (const MagickInfo *magick_info)
MagickExport const char * | GetMagickDescription (const MagickInfo *magick_info)
MagickExport MagickBooleanType | GetMagickEndianSupport (const MagickInfo *magick_info)
MagickExport const MagickInfo * | GetMagickInfo (const char *name, ExceptionInfo *exception)
static int | MagickInfoCompare (const void *x, const void *y)
MagickExport const MagickInfo ** | GetMagickInfoList (const char *pattern, unsigned long *number_formats, ExceptionInfo *exception)
static int | MagickCompare (const void *x, const void *y)
MagickExport char ** | GetMagickList (const char *pattern, unsigned long *number_formats, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetMagickSeekableStream (const MagickInfo *magick_info)
MagickExport MagickStatusType | GetMagickThreadSupport (const MagickInfo *magick_info)
static void * | DestroyMagickNode (void *magick_info)
MagickExport MagickBooleanType | IsMagickConflict (const char *magick)
MagickExport MagickBooleanType | ListMagickInfo (FILE *file, ExceptionInfo *exception)
MagickExport MagickBooleanType | IsMagickInstantiated (void)
static SignalHandler * | SetMagickSignalHandler (int signal_number, SignalHandler *handler)
static void | MagickSignalHandler (int signal_number)
static SignalHandler * | RegisterMagickSignalHandler (int signal_number)
MagickExport void | MagickCoreGenesis (const char *path, const MagickBooleanType establish_signal_handlers)
MagickExport void | MagickCoreTerminus (void)
MagickExport MagickInfo * | RegisterMagickInfo (MagickInfo *magick_info)
MagickExport MagickInfo * | SetMagickInfo (const char *name)
MagickExport MagickBooleanType | UnregisterMagickInfo (const char *name)
## Variables
static SemaphoreInfo * | magick_semaphore = (SemaphoreInfo *) NULL
static SignalHandler * | signal_handlers [SIGMAX] = { (SignalHandler *) NULL }
static SplayTreeInfo * | magick_list = (SplayTreeInfo *) NULL
static volatile MagickBooleanType | instantiate_magick = MagickFalse

## Define Documentation

#define SIG_DFL ((SignalHandler *) 0)

#define SIG_ERR ((SignalHandler *) -1)

#define SIGMAX 64

## Typedef Documentation

typedef MAGICKCORE_RETSIGTYPE SignalHandler(int)

## Function Documentation

MagickExport void DestroyMagickList | ( | void |  | ) |

static void* DestroyMagickNode | ( | void * | magick_info | ) | `[static]`

MagickExport DecodeImageHandler* GetImageDecoder | ( | const MagickInfo * | magick_info | ) |

MagickExport EncodeImageHandler* GetImageEncoder | ( | const MagickInfo * | magick_info | ) |

MagickExport const char* GetImageMagick | ( | const unsigned char * | magick,
|  | const size_t | length |
| ) |  |  |

MagickExport MagickBooleanType GetMagickAdjoin | ( | const MagickInfo * | magick_info | ) |

MagickExport MagickBooleanType GetMagickBlobSupport | ( | const MagickInfo * | magick_info | ) |

MagickExport const char* GetMagickDescription | ( | const MagickInfo * | magick_info | ) |

MagickExport MagickBooleanType GetMagickEndianSupport | ( | const MagickInfo * | magick_info | ) |

MagickExport const MagickInfo* GetMagickInfo | ( | const char * | name,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport const MagickInfo** GetMagickInfoList | ( | const char * | pattern,
|  | unsigned long * | number_formats,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport char** GetMagickList | ( | const char * | pattern,
|  | unsigned long * | number_formats,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType GetMagickSeekableStream | ( | const MagickInfo * | magick_info | ) |

MagickExport MagickStatusType GetMagickThreadSupport | ( | const MagickInfo * | magick_info | ) |

static MagickBooleanType InitializeMagickList | ( | ExceptionInfo * | exception | ) | `[static]`

MagickExport MagickBooleanType IsMagickConflict | ( | const char * | magick | ) |

MagickExport MagickBooleanType IsMagickInstantiated | ( | void |  | ) |

MagickExport MagickBooleanType ListMagickInfo | ( | FILE * | file,
|  | ExceptionInfo * | exception |
| ) |  |  |

static int MagickCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

MagickExport void MagickCoreGenesis | ( | const char * | path,
|  | const MagickBooleanType | establish_signal_handlers |
| ) |  |  |

MagickExport void MagickCoreTerminus | ( | void |  | ) |

static int MagickInfoCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

static void MagickSignalHandler | ( | int | signal_number | ) | `[static]`

MagickExport MagickInfo* RegisterMagickInfo | ( | MagickInfo * | magick_info | ) |

static SignalHandler* RegisterMagickSignalHandler | ( | int | signal_number | ) | `[static]`

MagickExport MagickInfo* SetMagickInfo | ( | const char * | name | ) |

static SignalHandler* SetMagickSignalHandler | ( | int | signal_number,
|  | SignalHandler * | handler |
| ) |  |  | `[static]`

MagickExport MagickBooleanType UnregisterMagickInfo | ( | const char * | name | ) |

## Variable Documentation

volatile MagickBooleanType instantiate_magick = MagickFalse`[static]`

SplayTreeInfo* magick_list = (SplayTreeInfo *) NULL`[static]`

SemaphoreInfo* magick_semaphore = (SemaphoreInfo *) NULL`[static]`

SignalHandler* signal_handlers[SIGMAX] = { (SignalHandler *) NULL }`[static]`